
Redmine - Defect #14646

Migrating from Trac, users are not imported

2013-08-08 15:44 - Jack Reacher

Status: Closed Start date:  

Priority: Urgent Due date:  

Assignee:  % Done: 0%

Category: Importers Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 2.3.2

Description

The official Redmine from Track migrate plugin should import users (as wrote down here: RedmineMigrate ), but it does not.

In Redmine I see on all ticket that Redmine Admin is the reporter. And reassign 1000 open ticket is a bit painfull. :(

Environment:

Redmine version                2.3.2.stable

Ruby version                   1.9.3-p448 (2013-06-27) [i386-mingw32]

Rails version                  3.2.13

Environment                    production

Database adapter               Mysql2

Rails Version:                 Rails 3.2.13

Database:                      MySQL 5.6.13

Related issues:

Is duplicate of Redmine - Defect #14590: migrate_from_trac.rake does not impo... Closed

History

#1 - 2013-08-14 02:22 - Craig Rodrigues

This is a duplicate of #14590 which I reported.

I submitted a whole bunch of fixes recently to fix migrate_from_trac.rake .

Until the Redmine developers incorporate the patches, you should get the version from:

https://github.com/rodrigc/redmine/blob/master/lib/tasks/migrate_from_trac.rake

and replace that file in your tree, and re-run the import.

#2 - 2013-08-14 05:07 - Mischa The Evil

- Status changed from New to Needs feedback

Craig Rodrigues wrote:

This is a duplicate of #14590 which I reported.

 Jack, can you confirm if this is indeed a duplicate by applying the patch of Craig posted in #14590 and trying the import again?

#3 - 2013-08-14 08:49 - Jack Reacher

Yes, I confirm.

#4 - 2013-08-14 10:24 - Etienne Massip

- Related to Defect #14590: migrate_from_trac.rake does not import Trac users, uses too short password added

#5 - 2013-08-14 10:24 - Etienne Massip

- Related to deleted (Defect #14590: migrate_from_trac.rake does not import Trac users, uses too short password)

#6 - 2013-08-14 10:24 - Etienne Massip
- Is duplicate of Defect #14590: migrate_from_trac.rake does not import Trac users, uses too short password added

#7 - 2013-08-14 10:24 - Etienne Massip

- Status changed from Needs feedback to Closed

- Resolution set to Duplicate
